classification
Title: urllib should support SSL contexts
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: giampaolo.rodola, janssen, orsenthil, pitrou, terry.reedy
Priority: normal Keywords:

Created on 2010-05-24 16:04 by pitrou, last changed 2010-12-01 10:37 by pitrou. This issue is now closed.

Messages (5)
msg106363 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-24 16:04
3.2 introduces SSL contexts, which allow bundling SSL configuration options, certificates and private keys into a single (potentially long-lived) structure.
http://docs.python.org/dev/py3k/library/http.client.html

urllib.request.*URLOpener should allow passing an SSL context object, if not already possible.

(I hope you don't mind the multiple similar issues, but I think one separate issue per stdlib module is more manageable)
msg106365 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-24 16:05
Actual URL for SSL contexts (sorry):
http://docs.python.org/dev/py3k/library/ssl.html#ssl.SSLContext
msg120171 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-11-01 21:00
In #10050 you suggest deprecating *URLopener (not *Opener, the misspelling also in fix_urllib.py #10286) and other stuff. Which do you actually prefer, upgrade or degrade?
msg120187 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-11-01 23:05
Degrade; this old implementation (urllib vs urllib2) shoud be phased out IMO. This issue shows that I was myself fooled by the urllib.request documentation.
msg122989 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-12-01 10:37
HTTPSHandler now allows to pass an SSLContext and the old API should be buried in the ground, closing.
History
Date User Action Args
2010-12-01 10:37:06pitrousetstatus: open -> closed
resolution: rejected
messages: + msg122989
2010-11-01 23:05:19pitrousetmessages: + msg120187
2010-11-01 21:00:00terry.reedysetnosy: + terry.reedy
messages: + msg120171
2010-05-24 18:17:17giampaolo.rodolasetnosy: + janssen
2010-05-24 16:05:41pitrousetnosy: + orsenthil, giampaolo.rodola
2010-05-24 16:05:13pitrousetmessages: + msg106365
2010-05-24 16:04:01pitroucreate